
#ifndef _WINDOWPROFLIST_
#define _WINDOWPROFLIST_


#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef __LISTS__
#include <Lists.h>
#endif

#ifndef __CMAPPLICATION__
#include <CMApplication.h>
#endif

#ifndef __CMICCPROFILE__
#include <CMICCProfile.h>
#endif

#ifndef _WIN_
#include "win.h"
#endif




/**\
|**| ==============================================================================
|**| PUBLIC DEFINES
|**| ==============================================================================
\**/
#define kProfListType			'PLst'			// about window tag
#define kProfIDListSubtype		'pfid'


/**\
|**| ==============================================================================
|**| PUBLIC TYPEDEFS
|**| ==============================================================================
\**/
typedef struct ProfListData
{
	ListHandle					List ;
	unsigned long				Seed ;
	unsigned long				Count ;
	CMSearchRecord				SearchRecord ;
	CMProfileSearchRef			SearchResult ;
	CMProfileIdentifier**		IdentHdl ;	// used if subtype == kProfIDListSubtype

} ProfListDataRec, *ProfListDataPtr, **ProfListDataHdl ;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
void		winActivateProfList		( winHandle win, Boolean activating ) ;
void		winResumeProfList		( winHandle win, Boolean resuming ) ;
void		winUpdateProfList		( winHandle win, EventRecord *e ) ;
void		winClickProfList		( winHandle win, EventRecord *e ) ;
void		winResizeProfList		( winHandle win ) ;
void		winMenuProfList			( winHandle win, long menuResult, Boolean *didit ) ;
void		winUpdateMenusProfList	( winHandle win ) ;
OSErr		winAllocProfList		( winHandle win ) ;
OSErr		winNewProfList			( winHandle win ) ;
void		winCloseProfList		( winHandle win ) ;
void		winDisposeProfList		( winHandle win ) ;


#endif